#include "AdminAuth.h"
using namespace webconsole;
bool AdminAuth::isAuth(const char *token)
{
    return tokenbuffer->exists(token) != -1;
}
bool AdminAuth::logout(const char *token)
{
    int16_t tid = tokenbuffer->exists(token);
    tokenbuffer->setnull(tid);
    return tid != -1;
}
char *AdminAuth::login(const String& username, const String& password)
{
    char *res = nullptr;
    File adminfile = LittleFS.open("admin", "r");
    if (username.equals(adminfile.readStringUntil('\0')) && password.equals(adminfile.readStringUntil('\0')))
        res = tokenbuffer->newToken();
    adminfile.close();
    return res;
}
bool AdminAuth::setAuth(const String& username, const String& password)
{
    if (username.length() == 0 || username.length() > MAX_USERNAMEPASSWORD_LENGTH || password.length()==0 || password.length() > MAX_USERNAMEPASSWORD_LENGTH)
        return false;
    File adminfile = LittleFS.open("admin", "w+");
    adminfile.print(username);
    adminfile.print('\0');
    adminfile.print(password);
    adminfile.print('\0');
    delay(1);
    adminfile.close();
    return true;
}